--*********************************************************************************
--* This file is part of the RIBit Renderman(tm) exporter for max
--* By Ofer Zelichover
--* 2004/3/1 (c)
--* based in part on kcman by Rudy Cortes --*********************************************************************************

plugin modifier mo_RIBit_VertexAttribute
	name:"RIBit Vertex Attribute"
	category:"RIBit"
	classID:#(0x68376d3f, 0x854540fa)
	version:1
(

	parameters RIBit_Attributes rollout:ro_RIBit_Attributes
	(
		attributeName type:#string ui:edAttrName default:"Attr" animatable:false
		attributeType type:#integer ui:rbAttrType default:1 animatable:false
		channel type:#integer ui:rbChannel default:1 animatable:false
		
	)
	
	
	rollout ro_RIBit_Attributes "RIBit Vertex Attributes"
	(
		edittext edAttrName "Attribute Name:" align:#left fieldWidth:75 offset:[-8,0] 

		group "Attribute Type: " (
			radioButtons rbAttrType "" labels:#("Float", "Color") align:#left columns:1
		)
		
group "Vertex Channel: " (
			radioButtons rbChannel "" labels:#("Vertex Color", "Vertex Alpha") align:#left
		)
	)	

) -- end mo_RIBit_VertexAttribute




	

